## mistral-dashboard 7.0.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
# Horizon Core Requirements
Django<2.0,>=1.11 # BSD
django-compressor>=2.0 # MIT
iso8601>=0.1.11 # MIT
python-mistralclient!=3.2.0,>=3.1.0 # Apache-2.0
PyYAML>=3.12 # MIT

## mistral-dashboard 4.0.0

=== debian/changelog ===
mistral-dashboard (4.0.0-1) unstable; urgency=medium

  * New upstream release
  * Add fix-mistral-data-for-tests.patch
  * Fix debian rules [ enable mistral-dashboard ]
  * Fix debian control

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 7 Dec 2017 15:14:10 +0100

mistral-dashboard (3.0.1-1) unstable; urgency=medium

  * New upstream release (Closes: #840319).

 -- Thomas Goirand <zigo@debian.org>  Mon, 10 Oct 2016 16:35:54 +0200

=== debian/control ===
Source: mistral-dashboard
Section: python
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 10),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: openstack-dashboard (>= 3:10.0.0~rc2),
                     python-coverage,
                     python-django (>= 1.8),
                     python-django-compressor (>= 2.0),
                     python-django-nose (>= 1.4.4),
                     python-django-openstack-auth (>= 3.1.0),
                     python-hacking,
                     python-iso8601 (>= 0.1.11),
                     python-mistralclient (>= 2.0.0),
                     python-mock (>= 2.0),
                     python-mox (>= 0.5.3),
                     python-mox3 (>= 0.7.0),
                     nodeenv (>= 0.9.4),
                     python-nose,
                     python-nose-exclude,
                     python-nosexcover,
                     python-nosehtmloutput (>= 0.0.3),
                     python-openstack.nose-plugin (>= 0.7),
                     python-oslosphinx (>= 4.7.0),
                     python-docutils (>= 0.11.0),
                     python-selenium (>= 2.50.1),
                     python-xvfbwrapper (>= 0.1.3),
                     python-yaml (>= 3.10.0),
Standards-Version: 3.9.8
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-mistral-dashboard?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-mistral-dashboard -b debian/newton
Homepage: https://github.com/openstack/mistral-dashboard

Package: python-mistral-dashboard
Architecture: all
Depends: openstack-dashboard (>= 3:10.0.0~rc2),
         python-django (>= 1.8),
         python-django-compressor (>= 2.0),
         python-django-openstack-auth (>= 3.1.0),
         python-iso8601 (>= 0.1.11),
         python-mistralclient (>= 2.0.0),
         python-pbr (>= 1.8),
         python-yaml (>= 3.10.0),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack Workflow Service - dashboard plugin
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the OpenStack dashboard plugin.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	NOSE_WITH_OPENSTACK=1 \
		NOSE_OPENSTACK_COLOR=1 \
		NOSE_OPENSTACK_RED=0.05 \
		NOSE_OPENSTACK_YELLOW=0.025 \
		NOSE_OPENSTACK_SHOW_ELAPSED=1 \
		DJANGO_SETTINGS_MODULE=mistraldashboard.test.settings \
		python-coverage run \
		$(CURDIR)/manage.py test mistraldashboard --settings=mistraldashboard.test.settings
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf .coverage*

override_dh_auto_install:
	dh_auto_install -O--buildsystem=python_distutils

	# Activates the mistral-dashboard plugin in Horizon
	set -e ; for pyvers in $(PYTHONS); do \
		mkdir -p $(CURDIR)/debian/python-mistral-dashboard/usr/lib/python$$pyvers/dist-packages/openstack_dashboard/enabled ; \
		cp $(CURDIR)/mistraldashboard/enabled/_50_mistral.py $(CURDIR)/debian/python-mistral-dashboard/usr/lib/python$$pyvers/dist-packages/openstack_dashboard/enabled/_50_mistral.py ; \
	done
	mkdir -p $(CURDIR)/debian/python-mistral-dashboard/usr/share/openstack-dashboard/openstack_dashboard/enabled
	cp $(CURDIR)/mistraldashboard/enabled/_50_mistral.py $(CURDIR)/debian/python-mistral-dashboard/usr/share/openstack-dashboard/openstack_dashboard/enabled/_50_mistral.py

## mistral-dashboard 7.0.1

=== debian/changelog ===
mistral-dashboard (7.0.1-2) unstable; urgency=medium

  * Redesign mistral-dashboard:
      - Enabled files now in /etc/openstack-dashboard/
      - Removed post scripts which is now achieved by a trigger
  * d/copyright: Update copyright
  * d/control: Add me to uploaders field
  * d/control: Bump debhelper to 10
  * d/compat: Bump debhelper to 10

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 21 Jan 2019 22:10:26 +0100

mistral-dashboard (7.0.1-1) unstable; urgency=medium

  * Initial release (Closes: #840319).

 -- Thomas Goirand <zigo@debian.org>  Mon, 10 Oct 2016 16:35:54 +0200

=== debian/control ===
Source: mistral-dashboard
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 1.8),
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 openstack-dashboard (>= 3:14.0.0),
 python3-coverage,
 python3-django (>= 1.8),
 python3-django-compressor (>= 2.0),
 python3-django-nose (>= 1.4.4),
 python3-hacking,
 python3-iso8601 (>= 0.1.11),
 python3-mistralclient (>= 2.0.0),
 python3-mock (>= 2.0),
 python3-nose,
 python3-nose-exclude,
 python3-nosehtmloutput (>= 0.0.3),
 python3-openstack.nose-plugin (>= 0.7),
 python3-oslosphinx (>= 2.5.0),
 python3-selenium (>= 2.50.1),
 python3-xvfbwrapper (>= 0.1.3),
 python3-yaml (>= 3.1.0),
Standards-Version: 3.9.8
Vcs-Browser: https://salsa.debian.org/openstack-team/services/mistral-dashboard
Vcs-Git: https://salsa.debian.org/openstack-team/services/mistral-dashboard.git
Homepage: https://github.com/openstack/mistral-dashboard

Package: python3-mistral-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 3:10.0.0~rc2),
 python3-django (>= 1.8),
 python3-django-compressor (>= 2.0),
 python3-iso8601 (>= 0.1.11),
 python3-mistralclient (>= 2.0.0),
 python3-pbr (>= 1.8),
 python3-yaml (>= 3.1.0),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Workflow Service - dashboard plugin
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the OpenStack dashboard plugin.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_clean:
	dh_clean
	rm -rf .coverage*

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

	# Move config files to standard location
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled

	# Move config enabled
	mv -f $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/mistraldashboard/enabled/_[0-9]*.py $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled/

	# Remove config files and dirs from /usr/lib/python3/dist-packages/mistraldashboard/
	rm -rf $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/mistraldashboard/enabled

	dh_install
	dh_missing --fail-missing

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	NOSE_WITH_OPENSTACK=1 \
		NOSE_OPENSTACK_COLOR=1 \
		NOSE_OPENSTACK_RED=0.05 \
		NOSE_OPENSTACK_YELLOW=0.025 \
		NOSE_OPENSTACK_SHOW_ELAPSED=1 \
		DJANGO_SETTINGS_MODULE=mistraldashboard.test.settings \
		python3-coverage run \
		$(CURDIR)/manage.py test mistraldashboard --settings=mistraldashboard.test.settings
	## Delete __pycache__
	find . -name __pycache__ -prune -exec rm -rf {} +;
endif

## mistral-dashboard 9.0.0

=== requirements.txt ===
--- 
+++ 
@@ -3,9 +3,6 @@
 # process, which may cause wedges in the gate later.
 
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
-# Horizon Core Requirements
-Django<2.0,>=1.11 # BSD
-django-compressor>=2.0 # MIT
 iso8601>=0.1.11 # MIT
 python-mistralclient!=3.2.0,>=3.1.0 # Apache-2.0
 PyYAML>=3.12 # MIT

=== doc/requirements.txt ===
sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7' # BSD
sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2;python_version>='3.4' # BSD
oslosphinx>=4.7.0 # Apache-2.0
reno>=2.5.0 # Apache-2.0
docutils>=0.11 # OSI-Approved Open Source, Public Domain

=== debian/changelog ===
mistral-dashboard (9.0.0-1ubuntu1) focal; urgency=medium

  * d/p/py3-testsuite.patch: Cherrypick upstream patch to fix FTBFS in
    testsuite with Python 3.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 12 Apr 2020 22:14:55 -0400

mistral-dashboard (9.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Oct 2019 21:13:22 +0200

mistral-dashboard (9.0.0~rc2-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Oct 2019 08:59:00 +0200

mistral-dashboard (8.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * d/changelog: Remove trailing whitespaces.
  * Bump Standards-Version to 4.4.0.

  [ Michal Arbet ]
  * Do not move files from source, copy it,
    kolla deployment expects that files are in /usr/lib...

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 22 Aug 2019 12:44:24 +0200

mistral-dashboard (8.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Apr 2019 12:02:23 +0200

mistral-dashboard (8.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed versions when available in Buster.
  * Standards-Version: 4.3.0 (no change).

 -- Thomas Goirand <zigo@debian.org>  Sun, 31 Mar 2019 22:17:38 +0200

=== debian/control ===
Source: mistral-dashboard
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 openstack-dashboard (>= 3:16.0.0~rc1),
 python3-coverage,
 python3-django,
 python3-django-compressor,
 python3-django-nose,
 python3-hacking,
 python3-iso8601,
 python3-mistralclient,
 python3-mock,
 python3-nose,
 python3-nose-exclude,
 python3-nosehtmloutput,
 python3-openstack.nose-plugin,
 python3-oslosphinx,
 python3-selenium,
 python3-xvfbwrapper,
 python3-yaml,
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/openstack-team/services/mistral-dashboard
Vcs-Git: https://salsa.debian.org/openstack-team/services/mistral-dashboard.git
Homepage: https://github.com/openstack/mistral-dashboard

Package: python3-mistral-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 3:16.0.0~rc1),
 python3-django,
 python3-django-compressor,
 python3-iso8601,
 python3-mistralclient,
 python3-pbr,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Workflow Service - dashboard plugin
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the OpenStack dashboard plugin.

=== debian/rules ===
--- 
+++ 
@@ -26,11 +26,8 @@
 	# Move config files to standard location
 	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled
 
-	# Move config enabled
-	mv -f $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/mistraldashboard/enabled/_[0-9]*.py $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled/
-
-	# Remove config files and dirs from /usr/lib/python3/dist-packages/mistraldashboard/
-	rm -rf $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/mistraldashboard/enabled
+	# Copy config enabled to openstack-dashboard enabled location
+	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/mistraldashboard/enabled/_[0-9]*.py $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled/
 
 	dh_install
 	dh_missing --fail-missing

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/stackforge/mistral-dashboard/tags .*/(\d[\d\.]+)\.tar\.gz

## mistral-dashboard 10.0.0~rc1

=== debian/changelog ===
mistral-dashboard (10.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 10 May 2020 12:19:35 +0200

mistral-dashboard (10.0.0~rc1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Move the package to the horizon-plugins subgroup on Salsa.
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 23 Apr 2020 16:08:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: mistral-dashboard
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Michal Arbet <michal.arbet@ultimum.io>,
@@ -15,7 +14,7 @@
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
- openstack-dashboard (>= 3:16.0.0~rc1),
+ openstack-dashboard (>= 3:17.1.0),
  python3-coverage,
  python3-django,
  python3-django-compressor,
@@ -32,15 +31,15 @@
  python3-selenium,
  python3-xvfbwrapper,
  python3-yaml,
-Standards-Version: 4.4.0
-Vcs-Browser: https://salsa.debian.org/openstack-team/services/mistral-dashboard
-Vcs-Git: https://salsa.debian.org/openstack-team/services/mistral-dashboard.git
+Standards-Version: 4.4.1
+Vcs-Browser: https://salsa.debian.org/openstack-team/horizon-plugins/mistral-dashboard
+Vcs-Git: https://salsa.debian.org/openstack-team/horizon-plugins/mistral-dashboard.git
 Homepage: https://github.com/openstack/mistral-dashboard
 
 Package: python3-mistral-dashboard
 Architecture: all
 Depends:
- openstack-dashboard (>= 3:16.0.0~rc1),
+ openstack-dashboard (>= 3:17.1.0),
  python3-django,
  python3-django-compressor,
  python3-iso8601,

## mistral-dashboard 10.0.0

=== debian/changelog ===
mistral-dashboard (10.0.0-1) unstable; urgency=medium

  * Fixed watch file URL.
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 May 2020 16:48:12 +0200

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/mistral-dashboard/tags .*/(\d[\d\.]+)\.tar\.gz

## mistral-dashboard 11.0.0

=== requirements.txt ===
--- 
+++ 
@@ -6,3 +6,4 @@
 iso8601>=0.1.11 # MIT
 python-mistralclient!=3.2.0,>=3.1.0 # Apache-2.0
 PyYAML>=3.12 # MIT
+horizon>=17.1.0  # Apache-2.0

=== debian/changelog ===
mistral-dashboard (11.0.0-2) unstable; urgency=medium

  * Package the enable folder in
    /usr/lib/python3/dist-packages/openstack_dashboard/local/enabled.

 -- Thomas Goirand <zigo@debian.org>  Thu, 01 Jul 2021 11:49:29 +0200

mistral-dashboard (11.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Oct 2020 10:44:15 +0200

mistral-dashboard (11.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-mock from build-depends.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Sep 2020 22:20:03 +0200

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,6 @@
  python3-hacking,
  python3-iso8601,
  python3-mistralclient,
- python3-mock,
  python3-nose,
  python3-nose-exclude,
  python3-nosehtmloutput,
@@ -48,6 +47,8 @@
  python3-yaml,
  ${misc:Depends},
  ${python3:Depends},
+Breaks:
+ python3-django-horizon (<< 3:18.6.2-4~),
 Description: OpenStack Workflow Service - dashboard plugin
  Mistral is a workflow service. Most business processes consist of multiple
  distinct interconnected steps that need to be executed in a particular order

## mistral-dashboard 11.0.1

=== debian/changelog ===
mistral-dashboard (11.0.1-1~bpo10+1) UNRELEASED; urgency=medium

  [ Michal Arbet ]
  * New upstream version

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@buster-victoria.infomaniak.ch>  Wed, 08 Sep 2021 08:27:24 +0000

## mistral-dashboard 13.0.0

=== debian/changelog ===
mistral-dashboard (13.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Oct 2021 17:35:17 +0200

mistral-dashboard (13.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 13:51:33 +0200

mistral-dashboard (13.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * (Build-)depends on minimum horizon >= 20.0.0+git2020.09.21.27036cc0eb.

 -- Thomas Goirand <zigo@debian.org>  Tue, 21 Sep 2021 15:01:07 +0200

mistral-dashboard (12.0.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 16:21:46 +0200

mistral-dashboard (12.0.1-1) experimental; urgency=medium

  * New upstream version.

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 15 Jul 2021 13:00:21 +0200

mistral-dashboard (12.0.0-3) experimental; urgency=medium

  * Add rm_conffile to remove old files in /etc/openstack-dashboard/enable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 May 2021 11:48:31 +0200

mistral-dashboard (12.0.0-2) experimental; urgency=medium

  * Package the enable folder in
    /usr/lib/python3/dist-packages/openstack_dashboard/local/enabled.
  * Add Breaks: python3-django-horizon (<< 3:19.2.0-2~).

 -- Thomas Goirand <zigo@debian.org>  Mon, 10 May 2021 16:31:45 +0200

mistral-dashboard (12.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Apr 2021 13:14:46 +0200

mistral-dashboard (12.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions when satisfied in Bullseye.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Mar 2021 13:00:09 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
- openstack-dashboard (>= 3:17.1.0),
+ openstack-dashboard (>= 3:20.0.0+git2020.09.21.27036cc0eb),
  python3-coverage,
  python3-django,
  python3-django-compressor,
@@ -38,7 +38,7 @@
 Package: python3-mistral-dashboard
 Architecture: all
 Depends:
- openstack-dashboard (>= 3:17.1.0),
+ openstack-dashboard (>= 3:20.0.0+git2020.09.21.27036cc0eb),
  python3-django,
  python3-django-compressor,
  python3-iso8601,
@@ -48,7 +48,7 @@
  ${misc:Depends},
  ${python3:Depends},
 Breaks:
- python3-django-horizon (<< 3:18.6.2-4~),
+ python3-django-horizon (<< 3:19.2.0-2~),
 Description: OpenStack Workflow Service - dashboard plugin
  Mistral is a workflow service. Most business processes consist of multiple
  distinct interconnected steps that need to be executed in a particular order

=== debian/rules ===
--- 
+++ 
@@ -23,11 +23,9 @@
 		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
 	done
 
-	# Move config files to standard location
-	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled
-
 	# Copy config enabled to openstack-dashboard enabled location
-	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/mistraldashboard/enabled/_[0-9]*.py $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled/
+	mkdir -p $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/enabled
+	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/mistraldashboard/enabled/_[0-9]*.py $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/enabled
 
 	dh_install
 	dh_missing --fail-missing

## mistral-dashboard 14.0.0

=== debian/changelog ===
mistral-dashboard (14.0.0-2) unstable; urgency=medium

  * Added Django 4 compat (Closes: #1015137):
    - django-4-ugettext_lazy-is-removed.patch
    - django-4-django.conf.urls.url-is-removed.patch
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Jul 2022 14:43:39 +0200

mistral-dashboard (14.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Mar 2022 21:20:35 +0200

mistral-dashboard (14.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Mar 2022 13:58:37 +0200

mistral-dashboard (14.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 12 Mar 2022 19:28:44 +0100

## mistral-dashboard 14.0.1

=== debian/changelog ===
mistral-dashboard (14.0.1-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Thu, 02 Oct 2025 10:32:50 +0000

## mistral-dashboard 15.0.0

=== debian/changelog ===
mistral-dashboard (15.0.0-2) unstable; urgency=medium

  * Fix Python 3.11 compat (Closes: #1024958):
    - add py3.11-getargspec-is-removed.patch

 -- Thomas Goirand <zigo@debian.org>  Mon, 12 Dec 2022 10:22:47 +0100

mistral-dashboard (15.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Oct 2022 23:13:37 +0200

mistral-dashboard (15.0.0~rc1-1) unstable; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed patches applied upstream:
    - django-4-ugettext_lazy-is-removed.patch
    - django-4-django.conf.urls.url-is-removed.patch

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Sep 2022 16:23:00 +0200

=== debian/control ===
--- 
+++ 
@@ -14,14 +14,14 @@
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
- openstack-dashboard (>= 3:20.0.0+git2020.09.21.27036cc0eb),
+ openstack-dashboard (>= 3:23.0.0),
  python3-coverage,
  python3-django,
  python3-django-compressor,
  python3-django-nose,
  python3-hacking,
  python3-iso8601,
- python3-mistralclient,
+ python3-mistralclient (>= 4.3.0),
  python3-nose,
  python3-nose-exclude,
  python3-nosehtmloutput,
@@ -38,11 +38,11 @@
 Package: python3-mistral-dashboard
 Architecture: all
 Depends:
- openstack-dashboard (>= 3:20.0.0+git2020.09.21.27036cc0eb),
+ openstack-dashboard (>= 3:23.0.0),
  python3-django,
  python3-django-compressor,
  python3-iso8601,
- python3-mistralclient,
+ python3-mistralclient (>= 4.3.0),
  python3-pbr,
  python3-yaml,
  ${misc:Depends},

## mistral-dashboard 16.0.0

=== requirements.txt ===
--- 
+++ 
@@ -4,6 +4,6 @@
 
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 iso8601>=0.1.11 # MIT
-python-mistralclient!=3.2.0,>=3.1.0 # Apache-2.0
+python-mistralclient>=4.3.0 # Apache-2.0
 PyYAML>=3.12 # MIT
 horizon>=17.1.0  # Apache-2.0

=== debian/changelog ===
mistral-dashboard (16.0.0-4) unstable; urgency=medium

  * Cleans better (Closes: #1049051).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Aug 2023 10:33:42 +0200

mistral-dashboard (16.0.0-3) unstable; urgency=medium

  * Remove the use of nose (Closes: #1018408).

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Aug 2023 14:22:45 +0200

mistral-dashboard (16.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 16:38:39 +0200

mistral-dashboard (16.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Mar 2023 15:30:53 +0100

mistral-dashboard (16.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions when satisfied in Bookworm.
  * Switch to debhelper-compat 11.
  * Removed py3.11-getargspec-is-removed.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Mar 2023 08:55:54 +0100

## mistral-dashboard 17.0.0

=== debian/changelog ===
mistral-dashboard (17.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Oct 2023 11:54:52 +0200

mistral-dashboard (17.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 17 Sep 2023 10:50:42 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Thomas Goirand <zigo@debian.org>,
  Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 11),
  dh-python,
  openstack-pkg-tools,
  python3-all,
@@ -14,18 +14,13 @@
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
- openstack-dashboard (>= 3:23.0.0),
+ openstack-dashboard,
  python3-coverage,
  python3-django,
  python3-django-compressor,
- python3-django-nose,
  python3-hacking,
  python3-iso8601,
- python3-mistralclient (>= 4.3.0),
- python3-nose,
- python3-nose-exclude,
- python3-nosehtmloutput,
- python3-openstack.nose-plugin,
+ python3-mistralclient,
  python3-oslosphinx,
  python3-selenium,
  python3-xvfbwrapper,
@@ -38,17 +33,15 @@
 Package: python3-mistral-dashboard
 Architecture: all
 Depends:
- openstack-dashboard (>= 3:23.0.0),
+ openstack-dashboard,
  python3-django,
  python3-django-compressor,
  python3-iso8601,
- python3-mistralclient (>= 4.3.0),
+ python3-mistralclient,
  python3-pbr,
  python3-yaml,
  ${misc:Depends},
  ${python3:Depends},
-Breaks:
- python3-django-horizon (<< 3:19.2.0-2~),
 Description: OpenStack Workflow Service - dashboard plugin
  Mistral is a workflow service. Most business processes consist of multiple
  distinct interconnected steps that need to be executed in a particular order

=== debian/rules ===
--- 
+++ 
@@ -5,12 +5,11 @@
 %:
 	dh $@ --buildsystem=python_distutils --with python3
 
-override_dh_clean:
-	dh_clean
-	rm -rf .coverage*
-
 override_dh_auto_clean:
 	python3 setup.py clean
+	rm -rf build .stestr *.egg-info .coverage
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	echo "Do nothing..."
@@ -32,12 +31,7 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	NOSE_WITH_OPENSTACK=1 \
-		NOSE_OPENSTACK_COLOR=1 \
-		NOSE_OPENSTACK_RED=0.05 \
-		NOSE_OPENSTACK_YELLOW=0.025 \
-		NOSE_OPENSTACK_SHOW_ELAPSED=1 \
-		DJANGO_SETTINGS_MODULE=mistraldashboard.test.settings \
+	DJANGO_SETTINGS_MODULE=mistraldashboard.test.settings \
 		python3-coverage run \
 		$(CURDIR)/manage.py test mistraldashboard --settings=mistraldashboard.test.settings
 	## Delete __pycache__

## mistral-dashboard 18.0.0

=== debian/changelog ===
mistral-dashboard (18.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 07 Apr 2024 21:54:45 +0200

mistral-dashboard (18.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 17 Mar 2024 15:46:45 +0100

## mistral-dashboard 19.0.0

=== doc/requirements.txt ===
sphinx>=2.0.0,!=2.1.0 # BSD
oslosphinx>=4.7.0 # Apache-2.0
reno>=3.1.0 # Apache-2.0
docutils>=0.11 # OSI-Approved Open Source, Public Domain

=== debian/changelog ===
mistral-dashboard (19.0.0-0ubuntu1~cloud0) noble-dalmatian; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- James Page <james.page@ubuntu.com>  Fri, 04 Oct 2024 08:35:21 +0000

mistral-dashboard (19.0.0-0ubuntu1) oracular; urgency=medium

  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Thu, 03 Oct 2024 11:05:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mistral-dashboard
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Michal Arbet <michal.arbet@ultimum.io>,

## mistral-dashboard 19.0.0+git2025030511.5e3e024

=== debian/changelog ===
mistral-dashboard (19.0.0+git2025030511.5e3e024-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Wed, 05 Mar 2025 11:28:55 +0000

## mistral-dashboard 20.0.0

=== debian/changelog ===
mistral-dashboard (20.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Fix in debian/tests/unittests.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Apr 2025 15:28:11 +0200

mistral-dashboard (20.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 21:57:14 +0100

mistral-dashboard (20.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Mar 2025 08:34:13 +0100

mistral-dashboard (19.0.0-2) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090438).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 16:09:28 +0100

mistral-dashboard (19.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Oct 2024 17:04:00 +0200

mistral-dashboard (19.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 21 Sep 2024 14:00:04 +0200

mistral-dashboard (19.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Sep 2024 10:12:54 +0200

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/mistral-dashboard/tags .*/(\d[brc\d\.]+)\.tar\.gz

## mistral-dashboard 21.0.0~rc1

=== debian/changelog ===
mistral-dashboard (21.0.0~rc1-2~bpo13+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-flamingo.debian.net>  Mon, 29 Sep 2025 10:08:15 +0000

mistral-dashboard (21.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 11:51:02 +0200

mistral-dashboard (21.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed build-depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Sep 2025 09:18:01 +0200

## mistral-dashboard 21.0.0

=== requirements.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # process, which may cause wedges in the gate later.
 
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
-iso8601>=0.1.11 # MIT
 python-mistralclient>=4.3.0 # Apache-2.0
 PyYAML>=3.12 # MIT
-horizon>=17.1.0  # Apache-2.0
+
+horizon>=23.1.1 # Apache-2.0

=== doc/requirements.txt ===
openstackdocstheme>=2.2.1 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD
reno>=3.1.0 # Apache-2.0
docutils>=0.11 # OSI-Approved Open Source, Public Domain

=== debian/changelog ===
mistral-dashboard (21.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Oct 2025 08:40:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: mistral-dashboard
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Michal Arbet <michal.arbet@ultimum.io>,
@@ -18,9 +17,7 @@
  openstack-dashboard,
  python3-coverage,
  python3-django,
- python3-django-compressor,
  python3-hacking,
- python3-iso8601,
  python3-mistralclient,
  python3-oslosphinx,
  python3-selenium,
@@ -36,8 +33,6 @@
 Depends:
  openstack-dashboard,
  python3-django,
- python3-django-compressor,
- python3-iso8601,
  python3-mistralclient,
  python3-pbr,
  python3-yaml,

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3
+	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_auto_clean:
 	python3 setup.py clean
